
using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
namespace Models
{
    /// <summary>
    /// 设备信息列表更新日志
    /// </summary>
    [Table("TBL_DEV_INFO_CHG_LOG"), Comment("设备信息列表更新日志")]

    public class TBL_DEV_INFO_CHG_LOG
    {
        /// <summary>
        /// 自增id
        /// </summary>
        [Key, Column(TypeName = "int"), Comment("id,自增长"), DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }

        /// <summary>
        /// 设备id
        /// </summary>
        [Column(TypeName = "int"), Comment("设备id")]
        public int DEV_ID { get; set; }

        /// <summary>
        /// 日志类型
        /// </summary>
        [Column(TypeName = "int"), Comment("日志类型")]
        public int TYPE { get; set; }

        /// <summary>
        /// 日期
        /// </summary>
        [Required, Column(TypeName = "datetime"), Comment("日期")]

        public DateTime DATETIME { get; set; }

        /// <summary>
        /// 描述
        /// </summary>

        [Column(TypeName = "nvarchar(100)"), Comment("描述")]

        public string DESCRIPTION { get; set; }


        /// <summary>
        /// 操作账号
        /// </summary>

        [Column(TypeName = "nvarchar(100)"), Comment("操作账号")]

        public string ACCOUNT { get; set; }



        /// <summary>
        /// 地址
        /// </summary>

        [Column(TypeName = "nvarchar(100)"), Comment("地址")]

        public string LOCATION { get; set; }

        /// <summary>
        /// 操作IP
        /// </summary>

        [Column(TypeName = "nvarchar(100)"), Comment("操作IP")]

        public string IP { get; set; }



        /// <summary>
        /// 记录更新时间
        /// </summary>

        [Column(TypeName = "datetime"), Comment("记录更新时间")]

        public DateTime? UPDATE_TIMEMARK { get; set; }


        /// <summary>
        /// 备注
        /// </summary>

        [Column(TypeName = "nvarchar(520)"), Comment("备注")]

        public string REMARK { get; set; }

    }
}
